<?php
return [
    'ctrl' => [
        'title' => 'LLL:EXT:ig_crm_template/Resources/Private/Language/locallang_db.xlf:tx_igcrmtemplate_domain_model_templatetype',
        'label' => 'name',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'sortby' => 'sorting',
        'enablecolumns' => [
            'disabled' => 'hidden',
        ],
        'searchFields' => 'name,title,type_tablename,main_tag_tablename,sub_tag_tablename, css_file, page_class, template_filename',
        'iconfile' => 'EXT:ig_crm_template/Resources/Public/Icons/tx_igcrmtemplate_domain_model_templatetype.gif'
    ],
    'types' => [
        '1' => ['showitem' => 'name, title, template_filename, type_tablename, main_tag_tablename, sub_tag_tablename, css_file, page_class, --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:access, hidden, '],
    ],
    'columns' => [
        'hidden' => [
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.visible',
            'config' => [
                'type' => 'check',
                'renderType' => 'checkboxToggle',
                'items' => [
                    [
                        0 => '',
                        1 => '',
                        'invertStateDisplay' => true
                    ]
                ],
            ],
        ],

        'name' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_template/Resources/Private/Language/locallang_db.xlf:tx_igcrmtemplate_domain_model_templatetype.name',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'default' => ''
            ],
        ],
        'title' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_template/Resources/Private/Language/locallang_db.xlf:tx_igcrmtemplate_domain_model_templatetype.title',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'default' => ''
            ],
        ],
        'type_tablename' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_template/Resources/Private/Language/locallang_db.xlf:tx_igcrmtemplate_domain_model_templatetype.type_tablename',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'default' => ''
            ],
        ],
        'main_tag_tablename' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_template/Resources/Private/Language/locallang_db.xlf:tx_igcrmtemplate_domain_model_templatetype.main_tag_tablename',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'default' => ''
            ],
        ],
        'sub_tag_tablename' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_template/Resources/Private/Language/locallang_db.xlf:tx_igcrmtemplate_domain_model_templatetype.sub_tag_tablename',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'default' => ''
            ],
        ],
        'css_file' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_template/Resources/Private/Language/locallang_db.xlf:tx_igcrmtemplate_domain_model_templatetype.css_file',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'default' => ''
            ],
        ],
        'page_class' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_template/Resources/Private/Language/locallang_db.xlf:tx_igcrmtemplate.page_class',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'default' => ''
            ],
        ],
        'template_filename' => [
            'exclude' => true,
            'label' => 'LLL:EXT:ig_crm_template/Resources/Private/Language/locallang_db.xlf:tx_igcrmtemplate_domain_model_templatetype.template_filename',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim',
                'default' => ''
            ],
        ],
    
    ],
];
